#include "tile/init/on_init.h"

#include "tile/base/logging.h"

#include "gtest/gtest.h"

static int v = 0;
TILE_ON_INIT(0, [] {
    TILE_LOG_INFO("OnInit");
    v = 1;
})

namespace tile {
namespace init {
TEST(OnInit, All) { EXPECT_EQ(1, v); }
}// namespace init
}// namespace tile
